package com.google.android.exoplayer2.c.f;

import com.google.android.exoplayer2.c.f.v.a;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Collections;
import java.util.List;

public final class v$b {
    public final String aOt;
    public final List<a> bdJ;
    public final byte[] bdK;
    public final int streamType;

    public v$b(int i, String str, List<a> list, byte[] bArr) {
        List emptyList;
        AppMethodBeat.i(95178);
        this.streamType = i;
        this.aOt = str;
        if (list == null) {
            emptyList = Collections.emptyList();
        } else {
            emptyList = Collections.unmodifiableList(list);
        }
        this.bdJ = emptyList;
        this.bdK = bArr;
        AppMethodBeat.o(95178);
    }
}
